Bug 179961 - incorrect magic lamp effect when minimizing a grouped window
Summary: incorrect magic lamp effect when minimizing a grouped window
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-taskbar (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-07 22:10 UTC by Ignat Semenov
Modified: 2009-01-15 10:05 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ignat Semenov 2009-01-07 22:10:34 UTC
Version:            (using Devel)
Compiler:          gcc 4.3.1 
OS:                Linux
Installed from:    Compiled sources

When minimizing a grouped window, the Magic Lamp effect minimizes the window to wrong location, that is, not into the window group in task manager but rather to some different location in the task manager (outside the group). It seems that such a window minimizes into the place where it had been before it was grouped.To see this:
1)open two or more instances of a window, e.g. Konqueror
2)when these get grouped, expand the group in task manager and minimize one of the windows. It will minimize into some (random maybe?) location.
Comment 1 lucas 2009-01-08 02:00:27 UTC
The task manager is required to republish the icon geometry of the new location after it has been grouped.
Comment 2 Aaron J. Seigo 2009-01-08 22:22:10 UTC
SVN commit 907887 by aseigo:

publish the iconGeometry for tasks inside of collapsed groups; not a completely trivial change, but should be safe. if nobody complains about crashes or other misbehaviour about it in a few days, i'll back port it to 4.2
BUG:179961


 M  +38 -0     abstracttaskitem.cpp  
 M  +2 -1      abstracttaskitem.h  
 M  +23 -1     taskgroupitem.cpp  
 M  +2 -1      taskgroupitem.h  
 M  +7 -18     windowtaskitem.cpp  
 M  +5 -1      windowtaskitem.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=907887
Comment 3 Aaron J. Seigo 2009-01-15 10:05:40 UTC
SVN commit 911295 by aseigo:

backport fix for BR179961
CCBUG:179961


 M  +42 -0     abstracttaskitem.cpp  
 M  +3 -1      abstracttaskitem.h  
 M  +30 -1     taskgroupitem.cpp  
 M  +3 -1      taskgroupitem.h  
 M  +4 -3      tasks.cpp  
 M  +7 -18     windowtaskitem.cpp  
 M  +5 -1      windowtaskitem.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=911295